Update file naming settings for project
curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/fileNamingSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"completedFilePattern": "<string>",
"renameCompleted": true,
"targetFolderPath": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/fileNamingSettings"
payload = {
"completedFilePattern": "<string>",
"renameCompleted": True,
"targetFolderPath": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
completedFilePattern: '<string>',
renameCompleted: true,
targetFolderPath: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/fileNamingSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedFilePattern": "<string>",
"renameCompleted": true,
"targetFolderPath": "<string>"
}Project
Update file naming settings for project
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
fileNamingSettings
Update file naming settings for project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
application/json
File naming settings to apply
Pattern used to rename completed files; max 255 characters
Maximum string length:
255When true, completed files are renamed according to completedFilePattern
Output folder path for completed files; max 255 characters
Maximum string length:
255Response
OK
Pattern used to rename completed files; max 255 characters
Maximum string length:
255When true, completed files are renamed according to completedFilePattern
Output folder path for completed files; max 255 characters
Maximum string length:
255Was this page helpful?
⌘I